GDBserver

Macros | Functions | Variables
linux-ppc-ipa.c File Reference
`#include "server.h"`
`#include <sys/mman.h>`
`#include "tracepoint.h"`
`#include "linux-ppc-tdesc.h"`
`#include <elf.h>`

Go to the source code of this file.

## Macros
#define | FT_CR_R0 0
#define | FT_CR_CR 32
#define | FT_CR_XER 33
#define | FT_CR_LR 34
#define | FT_CR_CTR 35
#define | FT_CR_PC 36
#define | FT_CR_GPR(n) (FT_CR_R0 + (n))
#define | PPC_NUM_FT_COLLECT_GREGS (sizeof (ppc_ft_collect_regmap) / sizeof(ppc_ft_collect_regmap[0]))

## Functions
void | supply_fast_tracepoint_registers (struct regcache *regcache, const unsigned char *buf)
ULONGEST | get_raw_reg (const unsigned char *raw_regs, int regnum)
void * | alloc_jump_pad_buffer (size_t size)
const struct target_desc * | get_ipa_tdesc (int idx)
void | initialize_low_tracepoint (void)

## Variables
static const int | ppc_ft_collect_regmap []

## Macro Definition Documentation

## ◆ FT_CR_CR

#define FT_CR_CR 32

Definition at line 33 of file linux-ppc-ipa.c.

## ◆ FT_CR_CTR

#define FT_CR_CTR 35

Definition at line 36 of file linux-ppc-ipa.c.

## ◆ FT_CR_GPR

#define FT_CR_GPR | ( |  | n | ) | (FT_CR_R0 + (n))

Definition at line 38 of file linux-ppc-ipa.c.

## ◆ FT_CR_LR

#define FT_CR_LR 34

Definition at line 35 of file linux-ppc-ipa.c.

## ◆ FT_CR_PC

#define FT_CR_PC 36

Definition at line 37 of file linux-ppc-ipa.c.

## ◆ FT_CR_R0

#define FT_CR_R0 0

Definition at line 32 of file linux-ppc-ipa.c.

## ◆ FT_CR_XER

#define FT_CR_XER 33

Definition at line 34 of file linux-ppc-ipa.c.

## ◆ PPC_NUM_FT_COLLECT_GREGS

#define PPC_NUM_FT_COLLECT_GREGS (sizeof (ppc_ft_collect_regmap) / sizeof(ppc_ft_collect_regmap[0]))

Definition at line 67 of file linux-ppc-ipa.c.

Referenced by get_raw_reg(), and supply_fast_tracepoint_registers().

## Function Documentation

## ◆ alloc_jump_pad_buffer()

void* alloc_jump_pad_buffer | ( | size_t | size | ) |

Definition at line 117 of file linux-ppc-ipa.c.

References perror_with_name().

## ◆ get_ipa_tdesc()

const struct target_desc* get_ipa_tdesc | ( | int | idx | ) |

Definition at line 174 of file linux-ppc-ipa.c.

References internal_error(), PPC_TDESC_ALTIVEC, PPC_TDESC_BASE, PPC_TDESC_CELL, PPC_TDESC_E500, PPC_TDESC_ISA205, PPC_TDESC_ISA205_ALTIVEC, PPC_TDESC_ISA205_VSX, PPC_TDESC_VSX, tdesc_powerpc_32l, tdesc_powerpc_altivec32l, tdesc_powerpc_cell32l, tdesc_powerpc_e500l, tdesc_powerpc_isa205_32l, tdesc_powerpc_isa205_altivec32l, tdesc_powerpc_isa205_vsx32l, and tdesc_powerpc_vsx32l.

## ◆ get_raw_reg()

ULONGEST get_raw_reg | ( | const unsigned char * | raw_regs,
|  | int | regnum
| ) |  |

Definition at line 93 of file linux-ppc-ipa.c.

References ppc_ft_collect_regmap, and PPC_NUM_FT_COLLECT_GREGS.

## ◆ initialize_low_tracepoint()

void initialize_low_tracepoint | ( | void |  | ) |

Definition at line 226 of file linux-ppc-ipa.c.

References init_registers_powerpc_32l(), init_registers_powerpc_altivec32l(), init_registers_powerpc_cell32l(), init_registers_powerpc_e500l(), init_registers_powerpc_isa205_32l(), init_registers_powerpc_isa205_altivec32l(), init_registers_powerpc_isa205_vsx32l(), and init_registers_powerpc_vsx32l().

## ◆ supply_fast_tracepoint_registers()

void supply_fast_tracepoint_registers | ( | struct regcache * | regcache,
|  | const unsigned char * | buf
| ) |  |

Definition at line 74 of file linux-ppc-ipa.c.

References ppc_ft_collect_regmap, PPC_NUM_FT_COLLECT_GREGS, and supply_register().

## Variable Documentation

## ◆ ppc_ft_collect_regmap

const int ppc_ft_collect_regmap[]
| static

Initial value:
= {
FT_CR_GPR (0), FT_CR_GPR (1), FT_CR_GPR (2),
FT_CR_GPR (3), FT_CR_GPR (4), FT_CR_GPR (5),
FT_CR_GPR (6), FT_CR_GPR (7), FT_CR_GPR (8),
FT_CR_GPR (9), FT_CR_GPR (10), FT_CR_GPR (11),
FT_CR_GPR (12), FT_CR_GPR (13), FT_CR_GPR (14),
FT_CR_GPR (15), FT_CR_GPR (16), FT_CR_GPR (17),
FT_CR_GPR (18), FT_CR_GPR (19), FT_CR_GPR (20),
FT_CR_GPR (21), FT_CR_GPR (22), FT_CR_GPR (23),
FT_CR_GPR (24), FT_CR_GPR (25), FT_CR_GPR (26),
FT_CR_GPR (27), FT_CR_GPR (28), FT_CR_GPR (29),
FT_CR_GPR (30), FT_CR_GPR (31),
-1, -1, -1, -1, -1, -1, -1, -1,
-1, -1, -1, -1, -1, -1, -1, -1,
-1, -1, -1, -1, -1, -1, -1, -1,
-1, -1, -1, -1, -1, -1, -1, -1,
FT_CR_PC,
-1,
FT_CR_CR,
FT_CR_LR,
FT_CR_CTR,
FT_CR_XER,
-1,
}
FT_CR_XER
#define FT_CR_XER
Definition: linux-ppc-ipa.c:34
FT_CR_GPR
#define FT_CR_GPR(n)
Definition: linux-ppc-ipa.c:38
FT_CR_CTR
#define FT_CR_CTR
Definition: linux-ppc-ipa.c:36
FT_CR_LR
#define FT_CR_LR
Definition: linux-ppc-ipa.c:35
FT_CR_PC
#define FT_CR_PC
Definition: linux-ppc-ipa.c:37
FT_CR_CR
#define FT_CR_CR
Definition: linux-ppc-ipa.c:33

Definition at line 40 of file linux-ppc-ipa.c.

Referenced by get_raw_reg(), and supply_fast_tracepoint_registers().